PTLib Version 2.12.9

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
PSTUNUDPSocket Class Reference

UDP socket that has been created by the STUN client. More...

`#include <pstun.h>`

Inheritance diagram for PSTUNUDPSocket:
[legend]
Collaboration diagram for PSTUNUDPSocket:
[legend]

## Public Member Functions
| PSTUNUDPSocket ()
bool | OpenSTUN (PSTUNClient &client)
PNatCandidate | GetCandidateInfo ()
bool | BaseWriteTo (const void *buf, PINDEX len, const PIPSocketAddressAndPort &ap)
bool | BaseReadFrom (void *buf, PINDEX len, PIPSocketAddressAndPort &ap)

## Protected Member Functions
bool | InternalGetLocalAddress (PIPSocketAddressAndPort &addr)
bool | InternalGetBaseAddress (PIPSocketAddressAndPort &addr)

## Protected Attributes
PIPSocketAddressAndPort | m_serverReflexiveAddress
PIPSocketAddressAndPort | m_baseAddressAndPort

## Detailed Description

UDP socket that has been created by the STUN client.

## Constructor & Destructor Documentation

PSTUNUDPSocket::PSTUNUDPSocket | ( |  | ) |

## Member Function Documentation

bool PSTUNUDPSocket::BaseReadFrom | ( | void * | buf,
|  | PINDEX | len,
|  | PIPSocketAddressAndPort & | ap
| ) |  |
| inline

References PIPDatagramSocket::InternalReadFrom().

bool PSTUNUDPSocket::BaseWriteTo | ( | const void * | buf,
|  | PINDEX | len,
|  | const PIPSocketAddressAndPort & | ap
| ) |  |
| inline

References PIPDatagramSocket::InternalWriteTo().

PNatCandidate PSTUNUDPSocket::GetCandidateInfo | ( |  | ) |

bool PSTUNUDPSocket::InternalGetBaseAddress | ( | PIPSocketAddressAndPort & | addr | ) |
| protected

bool PSTUNUDPSocket::InternalGetLocalAddress | ( | PIPSocketAddressAndPort & | addr | ) |
| protected

bool PSTUNUDPSocket::OpenSTUN | ( | PSTUNClient & | client | ) |

## Member Data Documentation

PIPSocketAddressAndPort PSTUNUDPSocket::m_baseAddressAndPort
| protected

PIPSocketAddressAndPort PSTUNUDPSocket::m_serverReflexiveAddress
| protected

The documentation for this class was generated from the following file:

- pstun.h